var oneVonefinderChatPrefix = "&4&o1v1finder&r &8>&r ";
var lookingTo1v1 = false;
var duelModeToFindAnOpponentIn = "";

register("command", warpIntoDuelGame).setName("1v1finder");
function warpIntoDuelGame(duelmode) {
	waitingForDuelmateAnimationStep = 0;
	supportedDuelModes = ["sumo", "bowspleef", "uhc", "op", "blitz", "mw", "classic", "sw", "bow", "potion", "bridge"];
	if (duelmode != undefined) {
		if (supportedDuelModes.indexOf(duelmode) !== -1 || duelmode.replace(/nodebuff/i, "potion") === "potion") {
			ChatLib.command("play duels_" + duelmode.replace(/nodebuff/i, "potion") + "_duel");
			lookingTo1v1 = true;
			duelModeToFindAnOpponentIn = duelmode.replace(/nodebuff/i, "potion");
			ChatLib.chat(oneVonefinderChatPrefix + "&7Looking for an opponent in " +duelmode + " duels...");
			ChatLib.chat(oneVonefinderChatPrefix + " &7Type &o/1v1finder stop&r&7 to stop it");
		}
		else if (duelmode === "stop") {
			lookingTo1v1 = false;
			ChatLib.chat(oneVonefinderChatPrefix + "&7Stopped 1v1finder");
		}
		else {
			ChatLib.chat(oneVonefinderChatPrefix + "&cI'm not sure what you meant by " + duelmode);
		}
	}
	else {
		ChatLib.chat("&cUsage: /1v1finder &c<" + supportedDuelModes.toString() + "&c>");
	}
}

waitingForDuelmateAnimation = [
"▮▮▮▮▮▮▮▮▮▮▮▮▮▮▮","▯▮▮▮▮▮▮▮▮▮▮▮▮▮▮", "▯▯▮▮▮▮▮▮▮▮▮▮▮▮▮", "▯▯▯▮▮▮▮▮▮▮▮▮▮▮▮", "▯▯▯▯▮▮▮▮▮▮▮▮▮▮▮", "▯▯▯▯▯▮▮▮▮▮▮▮▮▮▮", "▯▯▯▯▯▯▮▮▮▮▮▮▮▮▮", "▯▯▯▯▯▯▯▮▮▮▮▮▮▮▮","▯▯▯▯▯▯▯▯▮▮▮▮▮▮▮", "▯▯▯▯▯▯▯▯▯▮▮▮▮▮▮", 
"▯▯▯▯▯▯▯▯▯▯▮▮▮▮▮", "▯▯▯▯▯▯▯▯▯▯▯▮▮▮▮", "▯▯▯▯▯▯▯▯▯▯▯▯▮▮▮", "▯▯▯▯▯▯▯▯▯▯▯▯▯▮▮", "▯▯▯▯▯▯▯▯▯▯▯▯▯▯▮", "▯▯▯▯▯▯▯▯▯▯▯▯▯▯▯"
]
waitingForDuelmateAnimationStep = 0;

register("step", function waiting10secsCountDownAnimation() {
	if (lookingTo1v1 && ChatLib.removeFormatting(Scoreboard.getTitle()) === "DUELS" && Scoreboard.getLines().size() > 3 && Scoreboard.getLineByIndex(2).toString().startsWith("Waiting...")) {
		if (waitingForDuelmateAnimationStep !== waitingForDuelmateAnimation.length - 1) { /* if countdown bar animation hasn't reached its last step */
			waitingForDuelmateAnimationStep++;
		}
		else { /* else, it means that 10 seconds have passed so it is time to try another server */
			warpIntoDuelGame(duelModeToFindAnOpponentIn);
		}
		ChatLib.actionBar("Waiting for an opponent  (" + (15-waitingForDuelmateAnimationStep) + " seconds): " + waitingForDuelmateAnimation[waitingForDuelmateAnimationStep]);
	}
}).setFps(1);